/**
 * Theme Name: Metz Fahrschulen
 * Template: dt-the7
 * Theme URI: https://metz-fahrschulen.de
 * Description: Metz Fahrschulen WordPress Theme
 * Author: Juri Hubrig
 * Author URI: https://www.linkedin.com/in/juri-hubrig-a6b27a251/
 * Version: 1.0
 * Year: 2025
*/

/*
 * This is a child theme of The7
 * https://themeforest.net/item/the7-responsive-multipurpose-wordpress-theme/5556590
 * This file is used to add custom CSS styles to the child theme.
 * You can add your own styles here.
*/

/* Custom CSS for Metz Fahrschulen Theme */

#wpadminbar {
    display: block !important;
}

/*
.masthead .inline-header .center {
	top: 0 !important;
}

#primary-menu {
	flex-flow: row nowrap !important;
        justify-content: center !important;
}
*/

.sticky-logo {
	padding: 0 !important;
}

.branding a {
	margin-right: -48px !important;
}

.branding a img, .branding img {
  max-width: 90% !important;
  padding-top: 4px !important;
}

.metz-hero-row {
    padding-left: 5px !important;
}

.vc_column-inner {
    border-radius: 4px !important;
    overflow: hidden;
}

/* 64px margin for hand on wheel image (new startpage) */
.vc_row.vc_row-o-content-middle > .vc_col-sm-4 > .vc_column-inner {
	margin-right: 64px !important; 
}

/* Improve ribbon padding to make text exactly centered on mobile */
.ult-ribbon .ult-ribbon-text {
 	padding: .5em 1em !important;
}

.metz-testimonial-name {
    color: #0c2855 !important;
    font-size: 0.95em !important;
    font-style: italic;
}

.metz-testimonial-name a {
  	color: #0c2855 !important;
}

.metz-hero-row .vc_col-sm-offset-2 {
  margin-left: auto !important;
  margin-right: auto !important;
  float: none;
}

.vc_row.vc_row-has-fill.ult-vc-hide-row.vc_custom_1773593236295,
.vc_row.vc_row-has-fill.ult-vc-hide-row.metz-hero-row.vc_custom_1773770217288 {
	padding-left: 32px !important;
	padding-right: 32px !important;
}

/* move microwidget to top left on screens smaller than 1280px */
@media (max-width: 1280px) {
	/* move microwidget to top left and shift the logo down */
	/*
	.mini-widgets {
		position: absolute !important;
		top: 10 !important;
		left: 10 !important;
		margin: 10px 0 !important;
	}
	*/
	/* move header to top left and shift the branding down by height of microwidget */
	/*
	.branding {
		position: relative !important;
		top: 20px !important;
		left: 0 !important;
	}
	*/
	/* make the menu text in header smaller */
	.menu-text {
		font-size: 0.85em !important;
	}
	.mini-contacts {
		font-size: 0.85em !important;
	}
	/* set the logo to 85% of the original size */
        .branding img {
                width: 85% !important;
                height: auto !important;
        }
}

/* make the logo smaller on small screens (less than 1140px) */
@media (max-width: 1140px) {
	/* make the menu text in header smaller */
	.menu-text {
		font-size: 0.75em !important;
	}
	.mini-contacts {
		font-size: 0.75em !important;
	}
	.branding img {
		width: 75% !important;
		height: auto !important;
	}
}

/* display no primary menu on mobile */
@media (max-width: 992px) {
	header.header-bar {
		display: none !important;
		width: 0 !important;
		height: 0 !important;
	}
	#primary-menu {
		display: none !important;
		width: 0 !important;
		height: 0 !important;
	}
	.main-nav .underline-decoration .l-to-r-line .outside-item-remove-margin {
		display: none !important;
	}
	/* set the logo to 80% of the original size */
	.mobile-branding img {
		width: 80% !important;
		height: auto !important;
	}

	/* Fix for the7 mobile menu */
	ul.sub-nav.level-arrows-on {
	    height: 100% !important;

	}

	li.menu-item.menu-item_post_type.menu-item-object-dt_portfolio {
	    height: 27.4px !important;
	}
	.vc_col-sm-offset-1 {
    	margin-left: 0 !important;
  	}
}

@media screen and (min-width: 993px) {
 	.masthead:not(.side-header):not(.side-header-v-stroke):not(.side-header-menu-icon) .header-bar, .ph-wrap {
    	padding-right: 32px !important;
    	padding-left: 32px !important;
  	}
}

/* display no primary menu on mobile and set the logo to 100% of the original size */
@media (max-width: 778px) {
	/* set the logo to 100% of the original size */
	.mobile-branding img {
		width: 90% !important;
		height: auto !important;
		padding-left: 10px !important;
		padding-top: 4px !important;
	}
	/* no margin for hand on wheel image (new startpage) */
	.vc_row.vc_row-o-content-middle > .vc_col-sm-4 > .vc_column-inner {
		margin-right: unset !important; 
	}
	/* no border radius for image background */
	.vc_column-inner {
    	border-radius: 0 !important;
	}
  .vc_row.vc_row-has-fill.ult-vc-hide-row.vc_custom_1773593236295,
  .vc_row.vc_row-has-fill.ult-vc-hide-row.metz-hero-row.vc_custom_1773770217288 {
    padding-left: 8px !important;
    padding-right: 8px !important;
  }
}

/* when scrolling sticky-on (scrolling down): show no mini-widgets */
.sticky-on .mini-widgets {
	width: 0 !important;
	height: 0 !important;
	display: none !important;
}

.sticky-on .top-bar {
	width: 0 !important;
	height: 0 !important;
	display: none !important;
}

.sticky-on .branding {
	align-items: flex-start !important;
}

.sticky-off .mini-widgets a.mini-contacts {
	color: #FFD500 !important;
	text: #FFD500 !important;
}

.sticky-off .mini-widgets i.fa-fw {
	color: #FFD500 !important;
	text: #FFD500 !important;
}

.sticky-off a.mini-contacts:hover i.fa-fw {
	color: #F45525 !important;
	text: #F45525 !important;
}

.sticky-off .mini-widgets a.mini-contacts:hover {
	color: #F45525 !important;
	text: #F45525 !important;
}

.masthead-mobile-header .mini-widgets a.mini-contacts {
	color: #FFD500 !important;
	text: #FFD500 !important;
}

.masthead-mobile-header .mini-widgets i.fa-fw {
	color: #FFD500 !important;
	text: #FFD500 !important;
}

.masthead-mobile-header a.mini-contacts:hover i.fa-fw {
	color: #F45525 !important;
	text: #F45525 !important;
}

.masthead-mobile-header a.mini-contacts:hover {
	color: #F45525 !important;
	text: #F45525 !important;
}

/* Change color of social media icons for footer */
.zoom-social-icons-list--with-canvas .socicon, .zoom-social-icons-list--with-canvas .dashicons, .zoom-social-icons-list--with-canvas .genericon, .zoom-social-icons-list--with-canvas .academicons, .zoom-social-icons-list--with-canvas .fa {
	color: black !important;
}

/* Change color of social media icons for footer on hover */
.zoom-social-icons-list--with-canvas .socicon:hover, .zoom-social-icons-list--with-canvas .dashicons:hover, .zoom-social-icons-list--with-canvas .genericon:hover, .zoom-social-icons-list--with-canvas .academicons:hover, .zoom-social-icons-list--with-canvas .fa:hover {
	color: white !important;
}

/* Change background- and border-color of Google and Yelp ratings from Trustindex plugin on hover */
.ti-header-write-btn:hover {
	background-color: #F45525 !important;
	border-color: #F45525 !important;
	text: white !important;
}

/* Change background- and border-color of Google and Yelp ratings from Trustindex plugin */
.ti-header-write-btn {
	background-color: #FFD500 !important;
	border-color: #FFD500 !important;
	text: black !important;
}

/* Change text color of Google and Yelp ratings from Trustindex plugin on hover */
a.ti-header-write-btn:hover {
	color: white !important;
}

a.ti-header-write-btn {
	color: black !important;
}

.button-metz:hover {
	background-color: #F45525 !important;
	border-color: #F45525 !important;
	text: white !important;
}

.button-metz {
	background-color: #FFD500 !important;
	border-color: #FFD500 !important;
	text: black !important;
}

/* Change color of contact form submit button */
.wpcf7-submit {
	background-color: #FFD500 !important;
	border-color: #FFD500 !important;
	text: black !important;
	color: black !important;
}



/* Change color of contact form submit button on hover */
/*
.wpcf7-submit:hover {
	background-color: #F45525 !important;
	border-color: #F45525 !important;
	text: white !important;
	color: white !important;
}
*/

#primary-menu  {
	display: flex !important;
	/* leave 50px flex space on the left and right side */
	flex-grow: 1;
	flex-basis: 50px !important;
	/* align items to the center */
	align-items: center !important;
	/* justify content to the center */
	justify-content: center !important;
}

.menu-item {
	/* set the height to 100% */
	height: 100% !important;
}

.header-bar { 
	margin-left: 0 !important;
	display: flex !important;
}

.branding { 
	display: flex !important;
}

.mini-widgets {
	display: flex !important;
}

/* change background color of call to action box */
.shortcode-action-box {
	background-color: #7586AD !important;
	border-color: #7586AD !important;
	text: black !important;
	color: black !important;
}

/* remove underline in contact section of footer */
.contact-info a {
	text-decoration: none !important;
	color: #FFD500 !important;
	text: #FFD500 !important;
}

.contact-info a img#icon-telefon-orange {
	display: none !important;
}

.contact-info a:hover img#icon-telefon-gelb {
	display: none !important;
}

.contact-info a:hover img#icon-telefon-orange {
	display: inline !important;
}

.contact-info a img#icon-brief-orange {
	display: none !important;
}

.contact-info a:hover img#icon-brief-gelb {
	display: none !important;
}

.contact-info a:hover img#icon-brief-orange {
	display: inline !important;
}

/* change color of contact info icons in footer */
.contact-info a:hover {
	text-decoration: none !important;
	color: #F45525 !important;
	text: #F45525 !important;
}

/* change hover color for links in footer */
#block-20 h5 a:hover {
	color: #F45525 !important;
}

/*
.counter-icon-location {
	color: #F45525 !important;
}
*/

h2.wpb_map_heading {
	font-size: 2em !important;
}

.uvc-main-heading h4 {
	font-size: 1.33em !important;
}

a.speciallink {
    	color: #F45525 !important;
    	text-decoration: underline !important;
}

a.speciallink:hover {
    	color: #FFD500 !important;
    	text-decoration: underline !important;
}

.accent-border-color {
	border-color: #F45525 !important;
}

.uvc-headings-line {
	border-color: #F45525 !important;
}